﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

namespace BindTest2
{
    public sealed partial class SwitchPage : UserControl
    {
        private List<UserControl> views = new List<UserControl>();
        public SwitchPage() {
            this.InitializeComponent();
        }
        public List<UserControl> Views {
            get { return this.views; }
        }

        public void SetIndex(int index) {
            if (index != -1) {
                this.Content = views[index];
            }
        }
    }
}
